/*
Copirigth 2013,SIANI - ULPGC
Jose Juan Hernandez Cabrera
Jose Evora Gomez
Johan Sebastian Cortes Montenegro

This File is Part of JavaFMI Library

JavaFMI Library is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

JavaFMI Library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with JavaFMI Library.  If not, see <http://www.gnu.org/licenses/>.
*/

package org.javafmi.wrapper;

import java.util.ArrayList;
import java.util.List;
import org.javafmi.ModelDescription;
import org.javafmi.ModelDescription.ScalarVariable;

public class ModelDescriptionParser {

    private ModelDescription modelDescription;

    public ModelDescriptionParser(ModelDescription modelDescription) {
        this.modelDescription = modelDescription;
    }

    public List<ScalarVariable> getRealVariables() {
        List realVariables = new ArrayList();
        for (ScalarVariable variableInModel : modelDescription.getModelVariables().getScalarVariableList())
            if (variableInModel.getType().getType().equals(ModelDescription.REAL_TYPE_ID))
                realVariables.add(variableInModel);
        return realVariables;
    }

    public List<Integer> getRealVariableReferenceValues() {
        List<Integer> realVariableReferenceValues = new ArrayList();
        for (ScalarVariable realVariable : getRealVariables())
            realVariableReferenceValues.add(realVariable.getValueReference());
        return realVariableReferenceValues;
    }
}
